.cmsmasters-color-palettes .wp-picker-container .button::after,
.cmsmasters-color-palettes .wp-picker-container .button::before,
.cmsmasters-palettes-preview__apply::after,
.cmsmasters-palettes-preview__apply::before {
	content: none
}

.cmsmasters-demos-preview {
	position: fixed;
	right: 20px;
	bottom: 20px;
	z-index: 9999999999;
	transition: transform .3s ease-in-out;
	box-sizing: border-box
}

.cmsmasters-demos-preview * {
	box-sizing: border-box
}

.cmsmasters-color-palettes .wp-color-result-text,
.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap .screen-reader-text,
.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap.hidden,
.cmsmasters-color-palettes-open .cmsmasters-palette-alt {
	display: none
}

html[data-cmsmasters-condition=active-demos] .cmsmasters-demos-preview__container {
	transform: translate(-100%, -100%)
}

html[data-cmsmasters-condition=active-palettes] .cmsmasters-palettes-preview__container {
	transform: translate(-100%, -200%)
}

html[data-cmsmasters-condition=active-demos] .cmsmasters-demos-preview__footer,
html[data-cmsmasters-condition=active-palettes] .cmsmasters-demos-preview__footer {
	transform: translateX(-100%)
}

html[data-cmsmasters-condition=active-demos] .cmsmasters-demos-preview__buttons,
html[data-cmsmasters-condition=active-palettes] .cmsmasters-demos-preview__buttons {
	transform: translateX(-380px)
}

html[data-cmsmasters-condition=active-demos] .cmsmasters-preview_overlay,
html[data-cmsmasters-condition=active-palettes] .cmsmasters-preview_overlay {
	transform: translate(-100%, 0);
	box-shadow: 0 0 40px 0 rgba(0, 0, 0, .2)
}

.cmsmasters-preview__container,
.cmsmasters-preview_overlay {
	background-color: #fff;
	width: 100%;
	min-width: 380px;
	max-width: 380px;
	height: 100%;
	padding: 35px 19px 110px;
	overflow-y: auto;
	position: relative;
	transition: transform .3s ease-in-out, box-shadow .3s ease-in-out;
	z-index: 2
}

.cmsmasters-preview__toggle i {
	font-size: 22px;
}

.cmsmasters-elementor-popup {
	display: none;
}

.cmsmasters-demos-preview__buy-link i {
	font-size: 28px;
}


.cmsmasters-demos-preview__container {
	padding: 35px 35px 110px;
	transform: translateY(-100%)
}

.cmsmasters-palettes-preview__container {
	text-align: center;
	transform: translateY(-200%)
}

.cmsmasters-preview_overlay {
	transform: translateY(0);
	z-index: 1;
	background-color: rgba(0, 0, 0, .2)
}

.cmsmasters-skins-svg {
	margin: 10px 0 30px
}

.cmsmasters-palette-alt,
.cmsmasters-palette-alt-button {
	left: 50%;
	top: 100%;
	transform: translateX(-50%);
	visibility: hidden;
	text-align: center;
	opacity: 0
}

.cmsmasters-palette-apply-active+.cmsmasters-palette-apply-no-active,
.cmsmasters-palette-apply-no-active+.cmsmasters-palette-apply-active {
	margin-top: 15px
}

.cmsmasters-palette-apply-no-active .wp-picker-container .button {
	pointer-events: none !important
}

.cmsmasters-color-palettes {
	width: 100%;
	padding: 8px 10px;
	border: 1px solid rgba(0, 0, 0, .1);
	display: flex;
	justify-content: space-between;
	align-items: center;
	transition-duration: .3s;
	transition-property: visibility, opacity, margin-top;
	transition-timing-function: ease-in-out;
	border-radius: 5px;
	max-width: 358px;
	position: relative
}

.cmsmasters-palette-apply-no-active .cmsmasters-color-palettes:before {
	content: '';
	display: block;
	position: absolute;
	width: 100%;
	height: 100%;
	z-index: 16;
	left: 0;
	top: 0;
	border-radius: 4px;
	background-color: rgba(0, 0, 0, .07);
	transition: background-color .3s
}

.cmsmasters-color-palettes.cmsmasters-color-palettes-open {
	padding-bottom: 325px;
	border-color: transparent;
	box-shadow: 0 0 15px rgba(0, 0, 0, .15)
}

.wp-picker-container {
	line-height: 0
}

.cmsmasters-color-palettes .wp-picker-container .button:not(.wp-picker-default) {
	width: 20px !important;
	height: 20px !important;
	min-height: 20px !important;
	border-radius: 3px !important;
	margin: 4px 2px !important;
	padding: 0 !important;
	outline: 0 !important;
	border: 1px solid rgba(0, 0, 0, .1) !important;
	box-shadow: none !important;
	transition: .3s;
	cursor: default;
	position: relative;
	overflow: visible;
	z-index: 15
}

.cmsmasters-palette-apply-active .cmsmasters-color-palettes .wp-picker-container .button.wp-picker-open:not(.wp-picker-default),
.cmsmasters-palette-apply-active .cmsmasters-color-palettes .wp-picker-container .button:not(.wp-picker-default):hover {
	transform: scale(1.1);
	cursor: pointer
}

.cmsmasters-color-palettes .wp-picker-holder {
	position: absolute;
	left: 0;
	bottom: 0;
	z-index: 10;
	font-size: 0;
	line-height: 0;
	display: none
}

.cmsmasters-color-palettes.cmsmasters-color-palettes-open .wp-picker-holder {
	display: block
}

.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap {
	position: absolute;
	left: 0;
	top: 33px;
	display: flex;
	z-index: 11;
	width: 308px;
	padding: 12px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: nowrap
}

.cmsmasters-palette-apply-no-active .wp-picker-input-wrap {
	display: none !important
}

.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap label {
	margin: 0;
	width: 100%;
	max-width: 220px
}

.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap .wp-color-picker {
	width: 100%;
	font-size: 11px;
	line-height: 1em;
	font-weight: 400;
	padding: 8px 10px;
	border: 1px solid rgba(0, 0, 0, .1);
	border-radius: 30px;
	color: #7b7b7b;
	transition: border-color .3s;
	background-color: #fff
}

.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap .wp-color-picker:focus {
	border-color: #ff5b90
}

.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap .wp-picker-default {
	font-size: 12px;
	font-weight: 500;
	line-height: 1em;
	padding: 8px 15px;
	border: 1px solid rgba(0, 0, 0, .1);
	background-color: #f1f1f1;
	color: #7b7b7b;
	border-radius: 30px;
	transition: .3s
}

.cmsmasters-color-palettes .wp-picker-container .wp-picker-input-wrap .wp-picker-default:hover {
	background-color: #ff5b90;
	border-color: #ff5b90;
	color: #fff
}

.cmsmasters-color-palettes .wp-picker-container .iris-picker {
	padding-top: 55px;
	background-color: #fff;
	margin-top: 0;
	border: none !important
}

.cmsmasters-color-palettes .wp-picker-container .iris-picker .iris-picker-inner {
	top: 55px !important
}

.cmsmasters-palette-alt {
	position: absolute;
	background-color: transparent;
	font-size: 11px;
	font-weight: 400;
	line-height: 1.2em;
	padding: 0;
	display: inline-block;
	width: 100%;
	margin: 0;
	transition: .3s;
	color: #7b7b7b
}

.cmsmasters-palette-apply-active .cmsmasters-color-palettes .wp-picker-container:hover+.cmsmasters-palette-alt-active {
	opacity: 1;
	visibility: visible;
	padding-top: 1px
}

.wp-picker-container .button.wp-color-result .cmsmasters-palette-alt {
	width: 300px;
	opacity: 1;
	visibility: visible;
	z-index: 2
}

.cmsmasters-palette-alt-button {
	display: none;
	font-size: 10px !important;
	font-weight: 400 !important;
	line-height: 1.2em !important;
	padding: 5px;
	border: 1px solid rgba(0, 0, 0, .1);
	border-radius: 3px;
	background-color: #fff;
	position: absolute;
	color: #7b7b7b !important;
	z-index: 16;
	margin-top: 20px;
	transition: .3s
}

.cmsmasters-color-palettes-open .cmsmasters-palette-alt-button {
	display: inline-block
}

.cmsmasters-color-palettes .wp-picker-container .button:not(.wp-picker-default):hover .cmsmasters-palette-alt-button {
	opacity: 1;
	visibility: visible;
	margin-top: 15px
}

.cmsmasters-color-palettes.cmsmasters-color-palettes-open .wp-picker-container .button:not(.wp-picker-default):hover .cmsmasters-palette-alt-button {
	margin-top: 8px
}

.cmsmasters-palettes-heding {
	margin-bottom: 40px;
	color: #151515
}

.cmsmasters-demos-preview__buy-link,
.cmsmasters-demos-preview__toggle-big,
.cmsmasters-palettes-preview__toggle-big {
	color: #fff;
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 60px;
	height: 60px;
	border-radius: 30px;
	cursor: pointer;
	transition: background-color .3s ease-in-out;
}

.cmsmasters-demos-preview__buy-link svg,
.cmsmasters-demos-preview__toggle-big svg,
.cmsmasters-palettes-preview__toggle-big svg {
	margin-bottom: 3px
}

.cmsmasters-palettes-preview__toggle {
	display: block
}

.cmsmasters-demos-preview__buy-link,
.cmsmasters-palettes-preview__toggle {
	margin-top: 5px
}

.cmsmasters-demos-preview__toggle-big {
	background-color: #325bff
}

.cmsmasters-palettes-preview__toggle-big {
	background-color: #ff833b
}

.cmsmasters-demos-preview__toggle-big:hover,
html[data-cmsmasters-condition=active-demos] .cmsmasters-demos-preview__toggle-big {
	background-color: #2c50e0
}

.cmsmasters-palettes-preview__toggle-big:hover,
html[data-cmsmasters-condition=active-palettes] .cmsmasters-palettes-preview__toggle-big {
	background-color: #ec7937
}

.cmsmasters-demos-preview__buy-link {
	background-color: #07ca6c
}

.cmsmasters-demos-preview__buy-link:hover {
	color: #fff;
	background-color: #01b75f
}

.cmsmasters-demos-preview__container::-webkit-scrollbar,
.cmsmasters-palettes-preview__container::-webkit-scrollbar {
	display: none
}

.cmsmasters-preview__close {
	padding: 20px;
	position: absolute;
	right: 0;
	top: 0;
	opacity: .25;
	cursor: pointer;
	transition: opacity .3s ease-in-out;
	display: block
}

.cmsmasters-preview__close:hover {
	opacity: 1
}

.cmsmasters-demos-preview__heading {
	margin-bottom: 40px;
	text-align: center
}

.cmsmasters-demos-preview__heading-img {
	margin-bottom: 10px
}

.cmsmasters-demos-preview__heading-title {
	font-weight: 700;
	font-size: 24px;
	line-height: 32px;
	letter-spacing: -1px;
	color: #151515;
	text-align: center
}

.cmsmasters-palettes-preview__heading-title {
	margin-top: 25px
}

.cmsmasters-palettes-preview__heading-title span {
	display: inline-block;
	width: 100%
}

.cmsmasters-demos-preview__heading-subtitle {
	font-weight: 400;
	font-size: 16px;
	line-height: 24px;
	color: rgba(24, 24, 24, .7);
	margin-top: 12px;
	text-align: center
}

.cmsmasters-demos-preview__demo {
	margin-top: 30px
}

.cmsmasters-palettes-preview__demo {
	margin-top: 0;
	padding: 15px;
	border: 1px solid transparent;
	border-radius: 15px;
	transition: .3s
}

.cmsmasters-palettes-preview__demo.cmsmasters-palette-apply-active {
	cursor: default;
	border-color: rgba(0, 0, 0, .15)
}

.cmsmasters-palettes-preview__demo .cmsmasters-palettes-preview__demo-img {
	box-shadow: none
}

.cmsmasters-demos-preview__demo:first-child {
	margin-top: 0
}

.cmsmasters-demos-preview__demo-img {
	margin-bottom: 15px;
	overflow: hidden;
	position: relative;
	border-radius: 10px;
	box-shadow: none;
	transition: box-shadow .3s;
	z-index: 1
}

.cmsmasters-palettes-preview__demo-img {
	display: block;
	height: 0;
	margin-bottom: 0 !important;
	transition: none;
	box-shadow: none !important
}

.cmsmasters-palettes-preview__demo-img img {
	border-radius: 10px;
	opacity: 0;
	transition: .4s .1s
}

.cmsmasters-palette-apply-active .cmsmasters-palettes-preview__demo-img {
	margin-bottom: 10px !important;
	height: 100%
}

.cmsmasters-palette-apply-active .cmsmasters-palettes-preview__demo-img img {
	opacity: 1
}

.cmsmasters-demos-preview__demo-img:hover {
	box-shadow: 0 5px 20px 0 rgba(0, 0, 0, .15)
}

.cmsmasters-demos-preview__demo-img a {
	display: block;
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1
}

.cmsmasters-demos-preview__demo-img img {
	display: block;
	width: 100%
}

.cmsmasters-demos-preview__demo-heading {
	display: flex;
	align-items: center;
	justify-content: space-between
}

.cmsmasters-palettes-preview__demo-heading {
	margin-bottom: 10px
}

.cmsmasters-palette-apply-no-active .cmsmasters-palettes-preview__demo-heading {
	cursor: pointer
}

.cmsmasters-demos-preview__demo-title {
	font-weight: 500;
	font-size: 16px;
	line-height: 24px;
	color: #151515;
	margin-right: 10px;
	transition: color .3s
}

.cmsmasters-demos-preview__demo-link {
	font-weight: 700;
	font-size: 14px;
	line-height: 24px;
	color: #151515;
	text-decoration: underline;
	text-underline-offset: 2px
}

.cmsmasters-demos-preview__demo-link:hover {
	color: rgba(21, 21, 21, .4)
}

.cmsmasters-palettes-preview__apply {
	font-size: 13px !important;
	line-height: 1em !important;
	padding: 8px 18px !important;
	border: 1px solid rgba(0, 0, 0, .1) !important;
	color: #151515 !important;
	transition: .3s !important;
	background-color: #fff !important;
	border-radius: 30px !important;
	cursor: pointer !important;
	font-weight: 700 !important
}

.cmsmasters-palette-apply-no-active .cmsmasters-palettes-preview__demo-heading:hover .cmsmasters-palettes-preview__demo-title {
	color: rgba(0, 0, 0, .4)
}

.cmsmasters-palettes-preview__demo-heading:hover .cmsmasters-palettes-preview__apply:not(.cmsmasters-palettes-preview__reset),
.cmsmasters-palettes-preview__reset:hover {
	background-color: #ff5b90 !important;
	border-color: #ff5b90 !important;
	color: #fff !important
}

.cmsmasters-demos-preview__footer {
	width: 100%;
	position: fixed;
	left: 0;
	bottom: 0;
	z-index: 2;
	transition: transform .3s ease-in-out
}

.cmsmasters-demos-preview__footer-link {
	font-weight: 700;
	font-size: 17px;
	line-height: 28px;
	letter-spacing: -.005em;
	color: #fff;
	background-image: url(../images/button-gradient.svg);
	background-size: cover;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 18px 20px
}

.cmsmasters-demos-preview__footer-link:hover {
	color: #fff
}

.cmsmasters-demos-preview__footer-link span {
	margin-left: 20px
}

@media only screen and (max-width:767px) {

	.cmsmasters-demos-preview__toggle-big,
	.cmsmasters-demos-preview__buy-link,
	.cmsmasters-palettes-preview__toggle-big {
		width: 40px;
		height: 40px;
	}

	.cmsmasters-preview__toggle i {
		font-size: 16px;
	}

	.cmsmasters-demos-preview__buy-link i {
		font-size: 20px;
	}

	.cmsmasters-demos-preview {
		right: 10px;
		bottom: 10px;
	}
}

@media only screen and (min-width:768px) {
	.cmsmasters-demos-preview__footer-buy {
		display: none
	}
}